package net.javase.onenet.exception;

/**
 * ApiException
 *
 * @author Frank
 */
public class ApiException extends RuntimeException {
    private static final long serialVersionUID = 9095234958719589705L;

    public ApiException() {
    }

    public ApiException(String message) {
        super(message);
    }

    public ApiException(String message, Throwable cause) {
        super(message, cause);
    }

    public ApiException(Throwable cause) {
        super(cause);
    }

    public ApiException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
